Bug 406431 - 3.33: Guided Bug Entry
3.33: Guided Bug Entry
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
6 hours
:
Depends On:
Blocks: RHBZ30UpgradeTracker 427057
  Show dependency treegraph
 
Reported: 2007-11-30 11:59 EST by David Lawrence
Modified: 2013-06-24 00:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 23:49:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to update guided bug entry for Red Hat content (18.67 KB, patch)
2008-03-27 14:30 EDT, David Lawrence
nelhawar: review+
dkl: review? (kbaker)
Details | Diff

  None (edit)
Description David Lawrence 2007-11-30 11:59:04 EST
Description:
The Guided Bug Entry template is a javascript based bug entry page that allows a more step by step process for entering a defect or feature report into the Bugzilla system. It contains documentation that aids the user during each step in choosing what to enter.

Function Requirements:
template/en/default/bug/create/create-guided.html.tmpl
Comment 1 David Lawrence 2007-12-20 15:36:27 EST
LOC Estimation:

template/en/default/bug/create/create-guided.html.tmpl: 610
template/en/default/bug/create/easy_announce.tmpl: 6
js/guided_entry.js: 312
enter_bug.cgi: 40
selenium tests to verify proper operation of guided bug entry form: 6 hours

LOC Total: 968
Comment 2 David Lawrence 2008-03-27 14:30:06 EDT
Created attachment 299376 [details]
Patch to update guided bug entry for Red Hat content

Attaching patch to enable guided bug entry. I am using the standard guided bug
entry template provided by 3.2. I have updated the help text to reflect Red Hat
content instead of Mozilla.

Running on https://bugdev.devel.redhat.com/bugzilla/enter_bug.cgi?format=guided


Please review
Thanks
Dave
Comment 3 Noura El hawary 2008-03-28 11:21:59 EDT
Comment on attachment 299376 [details]
Patch to update guided bug entry for Red Hat content

template/en/default/bug/create/create-guided.html.tmpl
>===================================================================
>+towards getting the [% term.bug %] fixed.<br>

just forgot the s [% terms.bug %]


>+      <p>
>+        If you are unsure of the architecture choice, then you can run<br>
>+        <br>
>+        uname -m<br>
>+        <br>
>+        and choose the one the best matches one from the selection box.<br>
>+      </p>

typo: and choose the best matching one from the selection box.

everything else looks good, I tested it and it works nicely. after those fixes
then r=nelhawar :)

Noura
Comment 4 David Lawrence 2008-03-28 12:14:23 EDT
Worked 2 hours.
Comment 5 David Lawrence 2008-04-10 10:44:09 EDT
Comment on attachment 299376 [details]
Patch to update guided bug entry for Red Hat content

Noura did you mean to review- this patch? I have already checked this in with
your last suggestions.
Comment 6 Noura El hawary 2008-04-10 10:58:04 EDT
Comment on attachment 299376 [details]
Patch to update guided bug entry for Red Hat content

ops OK sorry Dave ,, I was just going through all the review request flags.

Noura
Comment 7 Kevin Baker 2008-04-14 20:25:25 EDT
got an error:

file error - cache failed to write duplicates-simple.html.tmpl: Error in 
tempfile() 
using /var/www/html/bugzilla/data/template/var/www/html/bugzilla/template/en/default/reports/XXXXXXXXXX: 
Parent directory 
(/var/www/html/bugzilla/data/template/var/www/html/bugzilla/template/en/default/reports/) 
is not writable at /usr/lib/perl5/site_perl/5.8.5/Template/Document.pm line 
295 
Comment 8 Kevin Baker 2008-04-16 14:24:58 EDT
Comment on attachment 299376 [details]
Patch to update guided bug entry for Red Hat content

Should we make the component box a lot bigger?

Note You need to log in before you can comment on or make changes to this bug.